Subject: Re: [Idr] draft-marques-idr-best-external-01.txt as IDR WG doc

From: Dong Jie <[email-masked]>
Date: Wed, 01 Apr 2009 17:24:05 +0800

Hi,
I have some questions about the draft.

1. In section 4, the example of "inconsistency in routing" uses the path
selection rules of RFC1771, which has been obsoleted by RFC4271. RFC1771
specified the "internal update process" in section 9.2.1, in which BGP
elected the best path from all of the external paths for IBGP peers. IMO,
RFC1771 can provide best external path for IBGP peers, and this draft elects
the best external path with a different procedure. Is my understanding
correct?
But RFC4271 doesn't have any corresponding specification about "internal
update process". If we use the rules of RFC4271 in this example, R3 would
advertise its overall best path (b) to R4, so R4 will receive (c) from R1
and (b) from R3, then R4 would pick (b) (using the IGP cost tie-breaking)
and advertise it to AS X. In this scenario, there would be no inconsistency
between routing and forwarding. 
With respect to solving the inconsistency problem, is this draft better than
RFC4271? 

2. In section 3, it says" In order for the reflector to be able to advertise
the best external route into the cluster, it is necessary that
client-to-client reflection be disabled, since its advertisement may
otherwise contain the best route within the cluster domain. " 
Does it mean that clients need to be full-meshed when best-external is used?
If not, inconsistency between routing and forwarding can happen in some
scenarios.

Best regards,
Jie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
Yakov
> Rekhter
> Sent: Wednesday, April 01, 2009 1:58 AM
> To: [email-masked]
> Subject: [Idr] draft-marques-idr-best-external-01.txt as IDR WG doc
> 
> Folks,
> 
> Please comment on the attached request. The deadline for comments
> is April 14, 2009.
> 
> If anyone is aware of the IPR related to the draft, please follow
> the procedurs of rfc3979.
> 
> Yakov.
> ------- Forwarded Message
> 
> Date:    Tue, 31 Mar 2009 10:40:17 -0700
> From:    Rex Fernando <[email-masked]>
> To:      "[email-masked]'" <[email-masked]>
> Subject: [Idr] draft-marques-idr-best-external-01.txt as IDR WG doc
> 
> 
> The authors would like to request that
> draft-marques-idr-best-external-01.txt b e adopted as an IDR WG
> document. It was presented in IDR in the Minneapolis IETF.
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr
> 
> ------- End of Forwarded Message
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: "Pradosh Mohapatra (pmohapat)" <[email-masked]>
Date: Thu, 2 Apr 2009 10:41:09 -0700

Hi Jie,

| 1. In section 4, the example of "inconsistency in routing" 
| uses the path selection rules of RFC1771, which has been 
| obsoleted by RFC4271. RFC1771 specified the "internal update 
| process" in section 9.2.1, in which BGP elected the best path 
| from all of the external paths for IBGP peers. IMO,
| RFC1771 can provide best external path for IBGP peers, and 
| this draft elects the best external path with a different 
| procedure. Is my understanding correct?

That's correct. This draft defines a different procedure
based on total ordering of the paths to select and advertise
the best external path.

| But RFC4271 doesn't have any corresponding specification 
| about "internal update process". If we use the rules of 
| RFC4271 in this example, R3 would advertise its overall best 
| path (b) to R4, so R4 will receive (c) from R1 and (b) from 
| R3, then R4 would pick (b) (using the IGP cost tie-breaking) 
| and advertise it to AS X. In this scenario, there would be no 
| inconsistency between routing and forwarding. 

Right. With RFC4271 procedure, R3 would _advertise_ and _install_
the overall best path (b).

| With respect to solving the inconsistency problem, is this 
| draft better than RFC4271? 

We wouldn't consider is as solving inconsistency problem. E.g.
4271 provides consistency between routing and forwarding in
this example like you described above. This draft provides a 
mechanism to select and advertise the best external path in 
cases where an internal path is chosen as best (& still provide 
consistency between routing and forwarding).

| 2. In section 3, it says" In order for the reflector to be 
| able to advertise the best external route into the cluster, 
| it is necessary that client-to-client reflection be disabled, 
| since its advertisement may otherwise contain the best route 
| within the cluster domain. " 
| Does it mean that clients need to be full-meshed when 
| best-external is used?
| If not, inconsistency between routing and forwarding can 
| happen in some scenarios.

Yes.

- Pradosh

---

From: Dong Jie <[email-masked]>
Date: Fri, 03 Apr 2009 16:02:20 +0800

Hi Pradosh,
Thanks for your reply, and I support the WG adoption of this draft.

Best regards,
Jie

> From: Pradosh Mohapatra (pmohapat) [mailto:[email-masked]]
> Sent: Friday, April 03, 2009 1:41 AM
> To: Dong Jie; Yakov Rekhter; [email-masked]; [email-masked]
> Subject: RE: [Idr] draft-marques-idr-best-external-01.txt as IDR WG doc
> 
> Hi Jie,
>